Package org.opencv.ximgproc

## Class DisparityFilter

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.DisparityFilter

- Direct Known Subclasses:
    `DisparityWLSFilter`

      public class DisparityFilter
      extends Algorithm

  Main interface for all disparity map filters.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DisparityFilter​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DisparityFilter` | `__fromPtr__​(long addr)` |
    `void` | `filter​(Mat disparity_map_left, Mat left_view, Mat filtered_disparity_map)` | Apply filtering to the disparity map.
    `void` | `filter​(Mat disparity_map_left, Mat left_view, Mat filtered_disparity_map, Mat disparity_map_right)` | Apply filtering to the disparity map.
    `void` | `filter​(Mat disparity_map_left, Mat left_view, Mat filtered_disparity_map, Mat disparity_map_right, Rect ROI)` | Apply filtering to the disparity map.
    `void` | `filter​(Mat disparity_map_left, Mat left_view, Mat filtered_disparity_map, Mat disparity_map_right, Rect ROI, Mat right_view)` | Apply filtering to the disparity map.
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisparityFilter

          protected DisparityFilter​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static DisparityFilter __fromPtr__​(long addr)

    - #### filter

          public void filter​(Mat disparity_map_left,
                             Mat left_view,
                             Mat filtered_disparity_map,
                             Mat disparity_map_right,
                             Rect ROI,
                             Mat right_view)

      Apply filtering to the disparity map.
      Parameters:
        `disparity_map_left` - disparity map of the left view, 1 channel, CV_16S type. Implicitly assumes that disparity values are scaled by 16 (one-pixel disparity corresponds to the value of 16 in the disparity map). Disparity map can have any resolution, it will be automatically resized to fit left_view resolution.
        `left_view` - left view of the original stereo-pair to guide the filtering process, 8-bit single-channel or three-channel image.
        `filtered_disparity_map` - output disparity map.
        `disparity_map_right` - optional argument, some implementations might also use the disparity map of the right view to compute confidence maps, for instance.
        `ROI` - region of the disparity map to filter. Optional, usually it should be set automatically.
        `right_view` - optional argument, some implementations might also use the right view of the original stereo-pair.

    - #### filter

          public void filter​(Mat disparity_map_left,
                             Mat left_view,
                             Mat filtered_disparity_map,
                             Mat disparity_map_right,
                             Rect ROI)

      Apply filtering to the disparity map.
      Parameters:
        `disparity_map_left` - disparity map of the left view, 1 channel, CV_16S type. Implicitly assumes that disparity values are scaled by 16 (one-pixel disparity corresponds to the value of 16 in the disparity map). Disparity map can have any resolution, it will be automatically resized to fit left_view resolution.
        `left_view` - left view of the original stereo-pair to guide the filtering process, 8-bit single-channel or three-channel image.
        `filtered_disparity_map` - output disparity map.
        `disparity_map_right` - optional argument, some implementations might also use the disparity map of the right view to compute confidence maps, for instance.
        `ROI` - region of the disparity map to filter. Optional, usually it should be set automatically. stereo-pair.

    - #### filter

          public void filter​(Mat disparity_map_left,
                             Mat left_view,
                             Mat filtered_disparity_map,
                             Mat disparity_map_right)

      Apply filtering to the disparity map.
      Parameters:
        `disparity_map_left` - disparity map of the left view, 1 channel, CV_16S type. Implicitly assumes that disparity values are scaled by 16 (one-pixel disparity corresponds to the value of 16 in the disparity map). Disparity map can have any resolution, it will be automatically resized to fit left_view resolution.
        `left_view` - left view of the original stereo-pair to guide the filtering process, 8-bit single-channel or three-channel image.
        `filtered_disparity_map` - output disparity map.
        `disparity_map_right` - optional argument, some implementations might also use the disparity map of the right view to compute confidence maps, for instance. stereo-pair.

    - #### filter

          public void filter​(Mat disparity_map_left,
                             Mat left_view,
                             Mat filtered_disparity_map)

      Apply filtering to the disparity map.
      Parameters:
        `disparity_map_left` - disparity map of the left view, 1 channel, CV_16S type. Implicitly assumes that disparity values are scaled by 16 (one-pixel disparity corresponds to the value of 16 in the disparity map). Disparity map can have any resolution, it will be automatically resized to fit left_view resolution.
        `left_view` - left view of the original stereo-pair to guide the filtering process, 8-bit single-channel or three-channel image.
        `filtered_disparity_map` - output disparity map. of the right view to compute confidence maps, for instance. stereo-pair.

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`